package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户分配记录对象 crm_customer_assign
 *
 * @author fs
 * @date 2023-03-30
 */
public class CrmCustomerAssign extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long assignId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    @Excel(name = "操作用户ID")
    private Long companyUserId;


    @Excel(name = "原用户ID")
    private Long sourceUserId;


    /** 客户ID */
    @Excel(name = "客户ID")
    private String customerIds;

    /** 系统用户ID */
    @Excel(name = "系统用户ID")
    private Long sysUserId;

    @Excel(name = "分配类型")
    private Integer assignType;

    private Integer status;

    private String sysUserName;

    private String companyUserName;

    public String getSysUserName() {
        return sysUserName;
    }

    public void setSysUserName(String sysUserName) {
        this.sysUserName = sysUserName;
    }

    public String getCompanyUserName() {
        return companyUserName;
    }

    public void setCompanyUserName(String companyUserName) {
        this.companyUserName = companyUserName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getSourceUserId() {
        return sourceUserId;
    }

    public void setSourceUserId(Long sourceUserId) {
        this.sourceUserId = sourceUserId;
    }

    public void setAssignId(Long assignId)
    {
        this.assignId = assignId;
    }

    public Long getAssignId()
    {
        return assignId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setCustomerIds(String customerIds)
    {
        this.customerIds = customerIds;
    }

    public String getCustomerIds()
    {
        return customerIds;
    }
    public void setSysUserId(Long sysUserId)
    {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId()
    {
        return sysUserId;
    }
    public void setAssignType(Integer assignType)
    {
        this.assignType = assignType;
    }

    public Integer getAssignType()
    {
        return assignType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("assignId", getAssignId())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .append("customerIds", getCustomerIds())
            .append("createTime", getCreateTime())
            .append("sysUserId", getSysUserId())
            .append("assignType", getAssignType())
            .append("remark", getRemark())
            .toString();
    }
}
